/* $Workfile: OtxBriD.h $   $Revision: 11 $    $Modtime: 4/28/08 8:20p $  */
#ifndef OTX_BRI_DEF_H
#define OTX_BRI_DEF_H
/******************************************************************************

  @doc PublicHwApi OtxBriD

  Copyright (C) 1998-2008 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OtxBriD | Constants, Macros, and Types for the ISDN BRI Line Interface Functions

  @contents2
  OtxBriD.h |

  @index const enum struct type | OtxBriD

  @contents2
  OTX ISDN BRI Line Interface Device Constants, Macros, and Types |

  @head3 Enumerated Types  |

  @index enum | OtxBriD

  @head3 Struct Types |

  @index struct | OtxBriD

  @head3 Constants |

  @index const | OtxBriD

  @head3 Other Types |

  @index type | OtxBriD

******************************************************************************/

#include "OtxType.h"    // OTX specific type definitions

#ifdef __cplusplus
extern "C" {
#endif


/******************************************************************************
  @enum
    BRI Line Interface Operating Modes
  @xref

******************************************************************************/
enum OtxBriLiModeE {
  OTX_BRI_MODE_TE    = 0,  // @emem The line interface is configured to operate in Terminal mode (as a TE).
  OTX_BRI_MODE_LT_T  = 1,  // @emem The line interface is configured to operate in Trunk Line Termination mode.
  OTX_BRI_MODE_LT_S  = 2,  // @emem The line interface is configured to operate in Subscriber Line Termination mode.
  OTX_BRI_MODE_NT	   = 3,  // @emem The line interface is configured to operate in Network Termination mode (as an NT).
  OTX_BRI_MODE_MON	 = 4,  // @emem The line interface is configured to operate in Monitor mode.
  OTX_BRI_MODE_NO    = 5   // @emem The line interface has not been configured
};

typedef enum OtxBriLiModeE OtxBriLiModeE;


/******************************************************************************
  @enum
    Layer 1 Status
  @xref
    <f OtxBriGetLineStatus>
******************************************************************************/
enum OtxBriLayer1StatusE {
  OTX_BRI_LAYER1_DOWN = 0,
  OTX_BRI_LAYER1_OK   = 1
};

typedef enum OtxBriLayer1StatusE OtxBriLayer1StatusE;



#ifdef __cplusplus
}  // extern "C"
#endif

/******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1998 - 2008

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

******************************************************************************/
#endif    // OTX_BRI_DEF_H
